---
permalink: /docs/community-filters
layout: single
classes: wide
title: Community Filters
sidebar:
  nav: "sidebar"
---

The beauty of Regolith is that filters can be written and shared by anyone! This page contains an uncurated list of community filters. If your filter doesn't appear here, let us know!

Community filters may always be accessed directly via their URL:

```json
{
  "url": "github.com/user/repo/folder"
}
```

As always, please use caution when running unknown code.

## Filters

| Name                                                                                                    | Author         | Description                                                                                                                                                                                                                                           |
|---------------------------------------------------------------------------------------------------------|----------------|-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| [Say Function Name](https://github.com/Nusiq/regolith-filters/tree/master/debug_say_function_name)      | Nusiq          | Adds say command to the functions from specified paths to print the names of the functions when they're executed.                                                                                                                                     |
| [pytemplate](https://github.com/Nusiq/regolith-filters/tree/master/pytemplate)                           | Nusiq          | This filter loops through the JSON files from RP and BP that match provided glob patterns (*/**.json by default), when it finds a JSON key that matches the name specified in settings, it replaces it with a value generated based on template file. |
| [subfunctions](https://github.com/Nusiq/regolith-filters/tree/master/subfunctions)                      | Nusiq          | It extends the syntax of Mcfunctions and lets you implement function files inside other function files.                                                                                                                                               |
| [Echo:NPC](https://github.com/SirLich/echo-npc-regolith/echo)                                           | SirLich        | Compiles Echo:NPC templates.                                                                                                                                                                                                                          |
| [JSON Templating Engine](https://github.com/MCDevKit/regolith-library/tree/main/json_templating_engine) | MCDevKit       | JSON templating engine for quicker generation of complicated JSON files.                                                                                                                                                                              |
| [Templater](https://github.com/Hatchibombotar/useful-regolith-filters/tree/main/templater)              | Hatchibombatar | A templater filter for regolith.                                                                                                                                                                                                                      |
| [Function Shorthand](https://github.com/evilguy50/my_regolith_filters/tree/master/shorthand)            | evilguy50      | Filter for having shorthand syntax inside of functions.                                                                                                                                                                                               |
